Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.params
Class DoubleArrayWithMinWaitingTime

    java.lang.Object
      umontreal.iro.lecuyer.xmlbind.params.DoubleArray
          umontreal.iro.lecuyer.contactcenters.msk.params.DoubleArrayWithMinWaitingTime

    public class DoubleArrayWithMinWaitingTime

extends DoubleArray

Represents a 2D array with an associated minimal waiting time.

Nested Class Summary

Nested classes/interfaces inherited from class umontreal.iro.lecuyer.xmlbind.params.DoubleArray
`DoubleArray.Row`

Field Summary
`protected Duration` | `minWaitingTime`

Fields inherited from class umontreal.iro.lecuyer.xmlbind.params.DoubleArray
`rows`

Constructor Summary
`DoubleArrayWithMinWaitingTime()`

Method Summary
`Duration` | `getMinWaitingTime()` Gets the value of the minWaitingTime property.
`boolean` | `isSetMinWaitingTime()`
`void` | `setMinWaitingTime(Duration value)` Sets the value of the minWaitingTime property.

Methods inherited from class umontreal.iro.lecuyer.xmlbind.params.DoubleArray
`getRows, isSetRows, unsetRows`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### minWaitingTime

    protected Duration minWaitingTime

Constructor Detail

### DoubleArrayWithMinWaitingTime

    public DoubleArrayWithMinWaitingTime()

Method Detail

### getMinWaitingTime

    public Duration getMinWaitingTime()

  Gets the value of the minWaitingTime property.

  Returns:
    possible object is `Duration`

### setMinWaitingTime

    public void setMinWaitingTime(Duration value)

  Sets the value of the minWaitingTime property.

  Parameters:
    `value` - allowed object is `Duration`

### isSetMinWaitingTime

    public boolean isSetMinWaitingTime()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.